Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mri.v3ds
Class Light3ds

    java.lang.Object
      mri.v3ds.Light3ds

    public class Light3ds

extends java.lang.Object

Light definition.

Constructor Summary
`Light3ds()`

Method Summary
`float` | `aspect()` Get light aspect.
`float` | `attenuation()` Get light attenuation.
`Color3ds` | `color()` Get light color.
`boolean` | `cone()` Get light cone.
`float` | `falloff()` Get light falloff.
`Vertex3ds` | `fixedPosition()` Get fixed light position.
`Vertex3ds` | `fixedTarget()` Get fixed light target.
`float` | `hotspot()` Get light hotspot.
`float` | `innerRange()` Get light inner range.
`float` | `multiplexer()` Get light multiplexer.
`java.lang.String` | `name()` Get light name.
`boolean` | `off()` Get light state.
`float` | `outerRange()` Get light outer range.
`boolean` | `overshoot()` Get light overshoot.
`boolean` | `projector()` Get light projector.
`java.lang.String` | `projectorName()` Get light projector name.
`float` | `rayBias()` Get light ray bias.
`boolean` | `rayShadows()` Get light ray shadows.
`boolean` | `rectangular()` Get light rectangular.
`float` | `roll()` Get light roll.
`float` | `shadowBias()` Get light shadow bias.
`boolean` | `shadowed()` Get light shadowed.
`float` | `shadowFilter()` Get light shadow filter.
`float` | `shadowSize()` Get light shadow size.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Light3ds

    public Light3ds()

Method Detail

### name

    public java.lang.String name()

  Get light name.

  Returns:
    light name

### off

    public boolean off()

  Get light state.

  Returns:
    light state (on/off)

### color

    public Color3ds color()

  Get light color.

  Returns:
    light color

### fixedPosition

    public Vertex3ds fixedPosition()

  Get fixed light position.

  Returns:
    fixed position of light

### fixedTarget

    public Vertex3ds fixedTarget()

  Get fixed light target.

  Returns:
    fixed target of light

### hotspot

    public float hotspot()

  Get light hotspot.

  Returns:
    light hotspot

### falloff

    public float falloff()

  Get light falloff.

  Returns:
    light falloff

### outerRange

    public float outerRange()

  Get light outer range.

  Returns:
    light outer range

### innerRange

    public float innerRange()

  Get light inner range.

  Returns:
    light inner range

### multiplexer

    public float multiplexer()

  Get light multiplexer.

  Returns:
    light multiplexer

### attenuation

    public float attenuation()

  Get light attenuation.

  Returns:
    light attenuation

### roll

    public float roll()

  Get light roll.

  Returns:
    light roll

### shadowed

    public boolean shadowed()

  Get light shadowed.

  Returns:
    light shadowed

### shadowBias

    public float shadowBias()

  Get light shadow bias.

  Returns:
    light shadow bias

### shadowFilter

    public float shadowFilter()

  Get light shadow filter.

  Returns:
    light shadow filter

### shadowSize

    public float shadowSize()

  Get light shadow size.

  Returns:
    light shadow size

### cone

    public boolean cone()

  Get light cone.

  Returns:
    light cone

### rectangular

    public boolean rectangular()

  Get light rectangular.

  Returns:
    light rectangular

### aspect

    public float aspect()

  Get light aspect.

  Returns:
    light aspect

### projector

    public boolean projector()

  Get light projector.

  Returns:
    light projector

### projectorName

    public java.lang.String projectorName()

  Get light projector name.

  Returns:
    light projector name

### overshoot

    public boolean overshoot()

  Get light overshoot.

  Returns:
    light overshoot

### rayBias

    public float rayBias()

  Get light ray bias.

  Returns:
    light ray bias

### rayShadows

    public boolean rayShadows()

  Get light ray shadows.

  Returns:
    light ray shadows

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD